// =====================================================================
//  $Id: sw01main.cc,v 1.1 2004/03/01 09:48:30 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: sw01main.cc,v $
//  Revision 1.1  2004/03/01 09:48:30  goiwai
//  sw01の見映えを変更しただけです.
//  ほとんど内容は変りません.
//  無理矢理のイベントディスプレイを用意しました.
//
// =====================================================================
#include "TRunManager.hh"
#include "TTerminalUserInterface.hh"
#include "TCrate.hh"
#include "Sw01SystemAction.hh"
#include "Sw01RunAction.hh"
#include "Sw01EventAction.hh"
#include "Sw01CrateDefinition.hh"
#include "Sw01ReadoutBookDefinition.hh"
#include "Sw01Geant4ViewCommand.hh"

int main( int argc, char** argv, char** envv )
{
  TRunManager* manager = new TRunManager( new TTerminalUserInterface() );

  manager -> GetEnvironmentVariableTable().SetEnvironment( "sw01setup" );
  manager -> SetSystemAction( new Sw01SystemAction() );
  manager -> SetRunAction( new Sw01RunAction() );
  manager -> SetEventAction( new Sw01EventAction() );
  manager -> SetCrateDefinition( new Sw01CrateDefinition() );
  manager -> SetReadoutBookDefinition( new Sw01ReadoutBookDefinition() );

  manager -> SetUserCommand( new Sw01Geant4ViewCommand() );

  manager -> SessionStart();

  delete manager;
  return 0;
}
